# Contributing to Comty
Oh wow! That's gonna be great! thank you for your interest in contributing to Comty! 👍🎉

>The following is a set of guidelines for contributing to Comty. These are just guidelines, not rules, so please use your best judgment and feel free to propose changes to this document in a pull request.

## Code of Conduct
This project and everyone participating in it is governed by the Comty Code of Conduct. By participating, you are expected to uphold this code. 

> Please report unacceptable behavior to `support@ragestudio.net` or contact to an administrator on our Discord server.

## How to contribute
 - Fork the repository and clone it to your local machine.

 - Create a new branch for your changes: ```git checkout -b my-new-feature```

 - Make changes and commit them: ```git commit -am 'Add some feature'```

 - Push to the branch: ```git push origin my-new-feature```

 - Submit a pull request.

 - Pull Request Guidelines

 - Before you submit a pull request, please make sure your changes meet the following guidelines:
    - Your changes **should be** thoroughly tested and include passing test cases. (🙏 We gonna to thank you if you write tests for your code)
    - Your code must follow the Comty Code Style.
    - Your can document your code to make it easier to understand and review for other developers.
    - Your changes must not introduce any critical errors in the build.
    - Your changes must be approved by at least one of the maintainers.

## Reporting Bugs
If you find a bug, please open an issue on the GitHub repository. Please include a clear description of the bug, steps to reproduce it, and any relevant error messages.

## Feature Requests
If you have an idea for a new feature, please open an issue on the GitHub repository. Please include a clear description of the feature and why it would be useful.