import clsx from "clsx"
import Link from "@docusaurus/Link"
import useDocusaurusContext from "@docusaurus/useDocusaurusContext"
import Layout from "@theme/Layout"
import HomepageFeatures from "@site/src/components/HomepageFeatures"

import Heading from "@theme/Heading"
import styles from "./index.module.css"

function HomepageHeader() {
	const { siteConfig } = useDocusaurusContext()

	return <header className={clsx("hero hero--primary", styles.heroBanner)}>
		<div className="container">
			<Heading as="h1" className="hero__title">
				{siteConfig.title}
			</Heading>

			<p className="hero__subtitle">{siteConfig.tagline}</p>
		</div>
	</header>
}

export default function Home() {
	return <Layout>
		<HomepageHeader />

		<main>
			<HomepageFeatures />
		</main>
	</Layout>
}
